Bug 133870 - Build error in AMTU SRPM
Build error in AMTU SRPM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: amtu (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Steve Grubb
Depends On:
Blocks: RHEL4U4Audit 181409
  Show dependency treegraph
Reported: 2004-09-27 23:02 EDT by John Morris
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0339
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 17:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Morris 2004-09-27 23:02:25 EDT
Description of problem:

Package can only be built as root and scribbles outside the buildroot.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Try rpmbuild --rebuild as a non-root user
2.  BOOM!
3.  Make sure /usr/share/doc/amtu-* does not exist
4.  su up to root and build again, it will succeed and leave docs

Additional info:

RPM_BUILD_ROOT isn't set during the %install phase, as evidenced by
the following:

+ cd /home/buildsys/rpmbuild/BUILD
+ cd amtu
+ export LANG
+ unset DISPLAY
+ '[' '' '!=' / ']'
+ rm -rf
+ mkdir -p //usr/share/doc/amtu-0.1
mkdir: cannot create directory `//usr/share/doc/amtu-0.1': Permission
error: Bad exit status from /var/tmp/rpm-tmp.49046 (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.49046 (%install)

Compare to the .spec starting at line 45:
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/amtu-%{version}
make DESTDIR=$RPM_BUILD_ROOT install-strip
gzip doc/amtu.8
install -m 644 doc/AMTUHowTo.txt
install -m 644 doc/amtu.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/amtu.8.gz
Comment 1 rob 2005-01-09 12:20:25 EST
FPT_AMT.1 is the correct name of the requirement this utility meets. 
it is correctly identified in the manpage.  it is incorrectly
identified in /usr/share/doc/amtu-0.1/AMTUHowTo.txt as FTP_AMT.1.  it
is similarly misidentified in the %description.

there is still no BuildRoot defined in amtu-0.1-7RHEL.

may i suggest something similar to:
BuildRoot: %{_tmppath}/%{name}-%{version}-root

there are also missing BuildRequires.

may i suggest at a minimum:
BuildRequires: autoconf, automake
Comment 2 Steve Grubb 2006-02-09 09:39:12 EST
This is addressed in 1.0.2-4.
Comment 6 Bob Johnson 2006-04-11 12:52:56 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 10 Red Hat Bugzilla 2006-08-10 17:12:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.